This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 212925 - (pear-DG-RSS) Review Request: php-pear-Structures-DataGrid-DataSource-RSS - DataSource driver using RSS files
Review Request: php-pear-Structures-DataGrid-DataSource-RSS - DataSource driv...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: pear-Structures-DG pear-XML-RSS
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-30 00:06 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-02 16:31:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-10-30 00:06:46 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Structures-DataGrid-DataSource-RSS.spec

SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Structures-DataGrid-DataSource-RSS-0.1.0-1.src.rpm

Description:
This is a DataSource driver for Structures_DataGrid using RSS files.
Comment 1 Jason Tibbitts 2006-12-02 15:22:37 EST
Another single file PHP package, with the standard rpmlint warnings:
   W: php-pear-Structures-DataGrid-DataSource-RSS no-documentation
   W: php-pear-Structures-DataGrid-DataSource-RSS filename-too-long-for-joliet
php-pear-Structures-DataGrid-DataSource-RSS-0.1.0-1.fc7.noarch.rpm

I note that all of these DataSource-* packages have ended up owning 
  /usr/share/pear/Structures/DataGrid/DataSource
Have you condidered the possibility of php-pear-Structures-DataGrid owning that
directory?

* source files match upstream:
   cdde39675c40e059281b5a727df23d8a  Structures_DataGrid_DataSource_RSS-0.1.0.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
O rpmlint output is OK.
* final provides and requires are sane:
   php-pear(Structures_DataGrid_DataSource_RSS) = 0.1.0
   php-pear-Structures-DataGrid-DataSource-RSS = 0.1.0-1.fc7
  =
  /bin/sh
  /usr/bin/pear
  php-pear(PEAR)
  php-pear(Structures_DataGrid_DataSource_Array)
  php-pear(XML_RSS)
* %check is not present; no test suite is upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.

APPROVED
Comment 2 Christopher Stone 2006-12-02 16:31:18 EST
Ya probably makes sense to go ahead and do that.  Will update all the datagrid
packages once this is branched.  Thx for the review.
Comment 3 Christopher Stone 2007-05-06 19:18:24 EDT
Package Change Request
======================
Package Name: php-pear-Structures-DataGrid-DataSource-RSS
New Branches: EL-5

Note You need to log in before you can comment on or make changes to this bug.